#pragma once

#include "abstract_processor.h"

namespace NRTYServer {
    class TSyncProcessor : public ISynchronizerProcessor {
    public:
        TSyncProcessor(TSynchronizer* synchronizer);
        virtual bool ProcessRequest(const TCgiParameters& cgi, TStringBuf postBuffer, TAsyncTaskExecutor::TTask& task);
        virtual TString GetProcessorName() {
            return "sync";
        }
    };
}
